Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs
classext.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_deprecated_classext_struct

## Macros
#define | RUBY_BACKWARD_CLASSEXT_H 1
#define | RCLASS_EXT(c) ((rb_deprecated_classext_t *)RCLASS(c)->ptr)
#define | RCLASS_SUPER(c) (RCLASS_EXT(c)->super)

## Typedefs
typedef struct rb_deprecated_classext_struct | rb_deprecated_classext_t

## Macro Definition Documentation

#define RCLASS_EXT | ( |  | c) |  | ((rb_deprecated_classext_t *)RCLASS(c)->ptr)

Definition at line 15 of file classext.h.

#define RCLASS_SUPER | ( |  | c) |  | (RCLASS_EXT(c)->super)

Definition at line 16 of file classext.h.

#define RUBY_BACKWARD_CLASSEXT_H 1

Definition at line 8 of file classext.h.

## Typedef Documentation

typedef struct rb_deprecated_classext_struct rb_deprecated_classext_t